HashMap.h File Reference

The purpose of this file is to provide a definition of a hash map whenever possible. More...

`#include <map>`

Go to the source code of this file.

## Classes

class | FrobbyHash< Key >
class | HashMap< Key, Value >

## Detailed Description

The purpose of this file is to provide a definition of a hash map whenever possible.

This needs to be done separately since various compilers put their hash maps in different places. GCC even moves it around for different versions and issues warnings for some placements. This has been fixed by including GCCs hash_map with Frobby to get a consistent and warning-free place to get it from.

If the current compiler is not recognized, we use a comparison-based map as a fall-back.

Definition in file HashMap.h.